[Evolvis-commits] r189: potentially fix uninstallability of the postfix subpackage↵

mirabilos at evolvis.org mirabilos at evolvis.org
Thu Nov 5 10:58:59 CET 2009


Author: mirabilos
Date: 2009-11-05 09:58:59 +0000 (Thu, 05 Nov 2009)
New Revision: 189

Modified:
   trunk/gforge_base/gforge-4.8.1+evolvis/deb-specific/install-postfix.sh
   trunk/gforge_base/gforge-4.8.1+evolvis/debian/changelog
Log:
potentially fix uninstallability of the postfix subpackage


Modified: trunk/gforge_base/gforge-4.8.1+evolvis/deb-specific/install-postfix.sh
===================================================================
--- trunk/gforge_base/gforge-4.8.1+evolvis/deb-specific/install-postfix.sh	2009-11-05 09:52:59 UTC (rev 188)
+++ trunk/gforge_base/gforge-4.8.1+evolvis/deb-specific/install-postfix.sh	2009-11-05 09:58:59 UTC (rev 189)
@@ -49,6 +49,7 @@
 print "$l\n";
 while ($l = <>) { print $l; };
 ' < /etc/postfix/main.cf.gforge-new > $tmp1
+	fgrep -q 'relay_domains' $tmp1 || echo 'relay_domains=' >>$tmp1
 	perl -i -e '
 require ("/etc/gforge/local.pl") ;
 my $l;

Modified: trunk/gforge_base/gforge-4.8.1+evolvis/debian/changelog
===================================================================
--- trunk/gforge_base/gforge-4.8.1+evolvis/debian/changelog	2009-11-05 09:52:59 UTC (rev 188)
+++ trunk/gforge_base/gforge-4.8.1+evolvis/debian/changelog	2009-11-05 09:58:59 UTC (rev 189)
@@ -22,8 +22,9 @@
   * run debconf-updatepo and 「update-gettext-files.sh -F」
   * apply some more tarent imagery and branding
   * change some defaults in the setup procedure
+  * deb-specific/install-postfix.sh: fix hang if no relay_domains
 
- -- Thorsten Glaser <t.glaser at tarent.de>  Thu, 05 Nov 2009 10:46:58 +0100
+ -- Thorsten Glaser <t.glaser at tarent.de>  Thu, 05 Nov 2009 10:57:05 +0100
 
 gforge (4.8.1+evolvis-1) tarent; urgency=low
 




More information about the evolvis-commits mailing list